doc: deprecate KNI ethtool support

Message ID 20190218123002.26908-1-ferruh.yigit@intel.com
State Accepted, archived
Delegated to: Thomas Monjalon
Headers show
Series
  • doc: deprecate KNI ethtool support
Related show

Checks

Context Check Description
ci/Intel-compilation success Compilation OK
ci/checkpatch success coding style OK

Commit Message

Ferruh Yigit Feb. 18, 2019, 12:30 p.m.
Remove KNI ethtool support.

Signed-off-by: Ferruh Yigit <ferruh.yigit@intel.com>
---
RFC Patch: https://patches.dpdk.org/patch/49025/
---
 doc/guides/rel_notes/deprecation.rst | 8 ++++++++
 1 file changed, 8 insertions(+)

Comments

Neil Horman Feb. 18, 2019, 2:24 p.m. | #1
On Mon, Feb 18, 2019 at 12:30:02PM +0000, Ferruh Yigit wrote:
> Remove KNI ethtool support.
> 
> Signed-off-by: Ferruh Yigit <ferruh.yigit@intel.com>
> ---
> RFC Patch: https://patches.dpdk.org/patch/49025/
> ---
>  doc/guides/rel_notes/deprecation.rst | 8 ++++++++
>  1 file changed, 8 insertions(+)
> 
> diff --git a/doc/guides/rel_notes/deprecation.rst b/doc/guides/rel_notes/deprecation.rst
> index 1b4fcb7e6..0491eeea1 100644
> --- a/doc/guides/rel_notes/deprecation.rst
> +++ b/doc/guides/rel_notes/deprecation.rst
> @@ -75,3 +75,11 @@ Deprecation Notices
>  
>  * crypto/aesni_mb: the minimum supported intel-ipsec-mb library version will be
>    changed from 0.49.0 to 0.52.0.
> +
> +* kni: remove KNI ethtool support. To clarify, this is not to remove the KNI,
> +  but only to remove ethtool support of it that is disabled by default and
> +  can be enabled via ``CONFIG_RTE_KNI_KMOD_ETHTOOL`` config option.
> +  Existing KNI ethtool implementation is only supported by ``igb`` & ``ixgbe``
> +  drivers, by using a copy of kernel drivers in DPDK. This model can't be extend
> +  to all drivers in DPDK and it is too much effort to maintain kernel modules in DPDK.
> +  As a result users won't be able to use ``ethtool`` via ``igb`` & ``ixgbe`` anymore.
> -- 
> 2.20.1
> 
> 
Acked-by: Neil Horman <nhorman@tuxdriver.com>
Igor Ryzhov Feb. 18, 2019, 2:26 p.m. | #2
Acked-by: Igor Ryzhov <iryzhov@nfware.com>

On Mon, Feb 18, 2019 at 3:30 PM Ferruh Yigit <ferruh.yigit@intel.com> wrote:

> Remove KNI ethtool support.
>
> Signed-off-by: Ferruh Yigit <ferruh.yigit@intel.com>
> ---
> RFC Patch: https://patches.dpdk.org/patch/49025/
> ---
>  doc/guides/rel_notes/deprecation.rst | 8 ++++++++
>  1 file changed, 8 insertions(+)
>
> diff --git a/doc/guides/rel_notes/deprecation.rst
> b/doc/guides/rel_notes/deprecation.rst
> index 1b4fcb7e6..0491eeea1 100644
> --- a/doc/guides/rel_notes/deprecation.rst
> +++ b/doc/guides/rel_notes/deprecation.rst
> @@ -75,3 +75,11 @@ Deprecation Notices
>
>  * crypto/aesni_mb: the minimum supported intel-ipsec-mb library version
> will be
>    changed from 0.49.0 to 0.52.0.
> +
> +* kni: remove KNI ethtool support. To clarify, this is not to remove the
> KNI,
> +  but only to remove ethtool support of it that is disabled by default and
> +  can be enabled via ``CONFIG_RTE_KNI_KMOD_ETHTOOL`` config option.
> +  Existing KNI ethtool implementation is only supported by ``igb`` &
> ``ixgbe``
> +  drivers, by using a copy of kernel drivers in DPDK. This model can't be
> extend
> +  to all drivers in DPDK and it is too much effort to maintain kernel
> modules in DPDK.
> +  As a result users won't be able to use ``ethtool`` via ``igb`` &
> ``ixgbe`` anymore.
> --
> 2.20.1
>
>
Jerin Jacob Kollanukkaran Feb. 18, 2019, 2:42 p.m. | #3
On Mon, 2019-02-18 at 12:30 +0000, Ferruh Yigit wrote:
> Remove KNI ethtool support.
> 
> Signed-off-by: Ferruh Yigit <ferruh.yigit@intel.com>
> 

Acked-by: Jerin Jacob <jerinj@marvell.com>

> ---
> RFC Patch: https://patches.dpdk.org/patch/49025/
> ---
>  doc/guides/rel_notes/deprecation.rst | 8 ++++++++
>  1 file changed, 8 insertions(+)
> 
> diff --git a/doc/guides/rel_notes/deprecation.rst
> b/doc/guides/rel_notes/deprecation.rst
> index 1b4fcb7e6..0491eeea1 100644
> --- a/doc/guides/rel_notes/deprecation.rst
> +++ b/doc/guides/rel_notes/deprecation.rst
> @@ -75,3 +75,11 @@ Deprecation Notices
>  
>  * crypto/aesni_mb: the minimum supported intel-ipsec-mb library
> version will be
>    changed from 0.49.0 to 0.52.0.
> +
> +* kni: remove KNI ethtool support. To clarify, this is not to remove
> the KNI,
> +  but only to remove ethtool support of it that is disabled by
> default and
> +  can be enabled via ``CONFIG_RTE_KNI_KMOD_ETHTOOL`` config option.
> +  Existing KNI ethtool implementation is only supported by ``igb`` &
> ``ixgbe``
> +  drivers, by using a copy of kernel drivers in DPDK. This model
> can't be extend
> +  to all drivers in DPDK and it is too much effort to maintain
> kernel modules in DPDK.
> +  As a result users won't be able to use ``ethtool`` via ``igb`` &
> ``ixgbe`` anymore.
Rami Rosen Feb. 18, 2019, 6:56 p.m. | #4
Acked-by: Rami Rosen <ramirose@gmail.com>

בתאריך יום ב׳, 18 בפבר׳ 2019, 14:30, מאת Ferruh Yigit <
ferruh.yigit@intel.com>:

> Remove KNI ethtool support.
>
> Signed-off-by: Ferruh Yigit <ferruh.yigit@intel.com>
> ---
> RFC Patch: https://patches.dpdk.org/patch/49025/
> ---
>  doc/guides/rel_notes/deprecation.rst | 8 ++++++++
>  1 file changed, 8 insertions(+)
>
> diff --git a/doc/guides/rel_notes/deprecation.rst
> b/doc/guides/rel_notes/deprecation.rst
> index 1b4fcb7e6..0491eeea1 100644
> --- a/doc/guides/rel_notes/deprecation.rst
> +++ b/doc/guides/rel_notes/deprecation.rst
> @@ -75,3 +75,11 @@ Deprecation Notices
>
>  * crypto/aesni_mb: the minimum supported intel-ipsec-mb library version
> will be
>    changed from 0.49.0 to 0.52.0.
> +
> +* kni: remove KNI ethtool support. To clarify, this is not to remove the
> KNI,
> +  but only to remove ethtool support of it that is disabled by default and
> +  can be enabled via ``CONFIG_RTE_KNI_KMOD_ETHTOOL`` config option.
> +  Existing KNI ethtool implementation is only supported by ``igb`` &
> ``ixgbe``
> +  drivers, by using a copy of kernel drivers in DPDK. This model can't be
> extend
> +  to all drivers in DPDK and it is too much effort to maintain kernel
> modules in DPDK.
> +  As a result users won't be able to use ``ethtool`` via ``igb`` &
> ``ixgbe`` anymore.
> --
> 2.20.1
>
>
Thomas Monjalon March 27, 2019, 1:37 p.m. | #5
18/02/2019 13:30, Ferruh Yigit:
> +* kni: remove KNI ethtool support. To clarify, this is not to remove the KNI,
> +  but only to remove ethtool support of it that is disabled by default and
> +  can be enabled via ``CONFIG_RTE_KNI_KMOD_ETHTOOL`` config option.
> +  Existing KNI ethtool implementation is only supported by ``igb`` & ``ixgbe``
> +  drivers, by using a copy of kernel drivers in DPDK. This model can't be extend

s/extend/extended/

> +  to all drivers in DPDK and it is too much effort to maintain kernel modules in DPDK.
> +  As a result users won't be able to use ``ethtool`` via ``igb`` & ``ixgbe`` anymore.

Acked-by: Thomas Monjalon <thomas@monjalon.net>

Applied, thanks

Patch

diff --git a/doc/guides/rel_notes/deprecation.rst b/doc/guides/rel_notes/deprecation.rst
index 1b4fcb7e6..0491eeea1 100644
--- a/doc/guides/rel_notes/deprecation.rst
+++ b/doc/guides/rel_notes/deprecation.rst
@@ -75,3 +75,11 @@  Deprecation Notices
 
 * crypto/aesni_mb: the minimum supported intel-ipsec-mb library version will be
   changed from 0.49.0 to 0.52.0.
+
+* kni: remove KNI ethtool support. To clarify, this is not to remove the KNI,
+  but only to remove ethtool support of it that is disabled by default and
+  can be enabled via ``CONFIG_RTE_KNI_KMOD_ETHTOOL`` config option.
+  Existing KNI ethtool implementation is only supported by ``igb`` & ``ixgbe``
+  drivers, by using a copy of kernel drivers in DPDK. This model can't be extend
+  to all drivers in DPDK and it is too much effort to maintain kernel modules in DPDK.
+  As a result users won't be able to use ``ethtool`` via ``igb`` & ``ixgbe`` anymore.